QI(1)

NAME
qi - a simple but well-integrated package manager

SYNOPSIS
qi COMMAND [OPTIONS] [FILE]...

DESCRIPTION
Qi is a simple but well-integrated package manager. It can create, install, remove, and upgrade software packages. Qi produces binary packages using recipes, which are files containing specific instructions to build each package from source. Qi can manage multiple packages under a single directory hierarchy. This method allows to maintain a set of packages and multiple versions of them. This means that Qi could be used as the main package manager or complement the existing one.

OPTIONS

  List of commands:

warn
    Warn about files that will be installed

install
    Install packages

remove
    Remove packages

upgrade
    Upgrade packages

extract
    Extract packages for debugging purposes

create
    Create a .tlz package from directory

build
    Build packages using recipe names

order
    Resolve build order through .order files

  Options when installing, removing, or upgrading software packages:

-f, --force
    Force upgrade of pre-existing packages

-k, --keep
    Keep package directory when remove/upgrade

-p, --prune
    Prune conflicts

-P, --packagedir=<dir>
    Set directory for package installations

-t, --targetdir=<dir>
    Set target directory for symbolic links

-r, --rootdir=<dir>
    Use the fully qualified named directory as the root directory for all qi operations Note: the target directory and the package directory will be relative to the specified directory, excepting the graft log file

  Options when building software packages using recipes:

-a, --architecture
    Set architecture name for the package

-j, --jobs
    Parallel jobs for the compiler

-k, --keep
    Keep ${srcdir} or ${destdir} when build

-S, --skip-questions
    Skip questions on completed recipes

-1, --increment
    Increment release number (${release} + 1)

-n, --no-package
    Do not create a .tlz package

-i, --install
    Install package after the build

-u, --upgrade
    Upgrade package after the build

-o, --outdir=<dir>
    Where the packages produced will be written

-w, --worktree=<dir>
    Where archives, patches, recipes are expected

-s, --sourcedir=<dir>
    Where compressed sources will be found

  Other options:

-N, --no-rc
    Do not read the configuration file

-v, --verbose
    Be verbose (an extra -v gives more)

-L, --show-location
    Print default directory locations and exit

-h, --help
    Display this help and exit

-V, --version
    Output version information and exit

ENVIRONMENT

  Some influential environment variables:

TMPDIR
    Temporary directory for sources

QICFLAGS
    C compiler flags

QICXXFLAGS
    C++ compiler flags

QILDFLAGS
    Linker flags

SOURCE_DATE_EPOCH
    Last modification time for created packages

SEE ALSO
The full documentation for qi is maintained as a Texinfo manual. If the info and qi programs are properly installed at your site, the command

    info qi

should give you access to the complete manual.